
//
//   Programa elaborado por Genaro Juarez Martinez
//   e-mail: genaro@enigma.red.cinvestav.mx
//           genarojm@correo.unam.mx
//   Area: Automatas Celulares
//   CINVESTAV-IPN
//   Noviembre 2003
//   http://delta.cs.cinvestav.mx/~mcintosh
//

#import <AppKit/AppKit.h>
#import "operations.h"
#import "evolution.h"
#import "colors.h"

@interface control : NSObject
{
    // Conecta a la subclase Evolution
    id view_evolution;
    // Conecta a la subclase Operations
    id class_operations;
    // Conecta a la subclase Colors
    id class_colors;
    // Colores
    NSColor *color1;
    NSColor *color2;
    NSColor *color3;
    NSColor *color4;
// metodos de consoleStrings
id setTextInput;
id MyScrollView;

}

-(void)initOwner:(id)sender;

// Boton configuracion inicial
-(void)initialConfiguration:(id)sender;

// Boton evolucion
-(void)evolutionSpace:(id)sender;

// Boton continuar evolucion
-(void)continueEvolution:(id)sender;

// Boton limpiar vista
-(void)clearView:(id)sender;

// Arreglo de botones para los gliders
-(void)gliderType:(id)sender;

// Pintar ether
-(void)paintEther:(id)sender;

// Manda el tag del objeto radio
-(void)mandarTagRadio:(id)sender;

// Borrar cadena
-(void)stringDelete:(id)sender;

// Agregar cadena personalizada
- (void)boton:(id)sender;


@end
